import 'package:dotup_flutter_simulator/dotup_flutter_simulator.dart';
import 'package:flutter/material.dart';

const bool debugEnableDeviceSimulator = true;

void main() => runApp(MyApp());

class MyApp extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      title: 'dotup rapid flutter prototyping',
      home: DeviceSimulator(
        initialDeviceIndex: 3,
        initialPlatform: TargetPlatform.android,
        orientation: Orientation.portrait,
        brightness: Brightness.dark,
        showBottomBar: true,
        enable: debugEnableDeviceSimulator,
        onBrightnessChanged: (value) {
          print(value);
        },
        // builder: (_) => ScreenInfoPage(),
        builder: (_) {
          return Scaffold(
            appBar: AppBar(
              title: Text('dotup'),
            ),
            body: Center(
              child: Text('www.dotup.de'),
            ),
          );
        },
      ),
    );
  }
}
